> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Saved View



## OpenAPI

````yaml /openapi.json patch /v1/issues/saved-views/{view_id}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/issues/saved-views/{view_id}:
    patch:
      tags:
        - issues
      summary: Patch Saved View
      operationId: patch_saved_view_v1_issues_saved_views__view_id__patch
      parameters:
        - in: path
          name: view_id
          required: true
          schema:
            title: View Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSavedViewRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: >-
                  Response Patch Saved View V1 Issues Saved Views  View Id 
                  Patch
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateSavedViewRequest:
      properties:
        filters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Filters
        is_default:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Default
        name:
          anyOf:
            - maxLength: 80
              minLength: 1
              type: string
            - type: 'null'
          title: Name
        sort:
          anyOf:
            - type: string
            - type: 'null'
          title: Sort
        visibility:
          anyOf:
            - type: string
            - type: 'null'
          title: Visibility
      title: UpdateSavedViewRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````